apiVersion: hive.openshift.io/v1
kind: ClusterDeployment
metadata:
  annotations:
    hive.openshift.io/fake-cluster: "true"
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"hive.openshift.io/v1","kind":"ClusterDeployment","metadata":{"annotations":{"hive.openshift.io/fake-cluster":"true"},"labels":{"hive.openshift.io/hiveutil-created":"true"},"name":"lwanfakecluster","namespace":"default"},"spec":{"baseDomain":"qe.devcluster.openshift.com","clusterName":"lwanfakecluster","controlPlaneConfig":{"servingCertificates":{}},"installed":false,"platform":{"aws":{"credentialsSecretRef":{"name":"lwanfakecluster-aws-creds"},"privateLink":{"enabled":false},"region":"us-east-2"}},"provisioning":{"imageSetRef":{"name":"lwanfakecluster-imageset"},"installConfigSecretRef":{"name":"lwanfakecluster-install-config"}},"pullSecretRef":{"name":"lwanfakecluster-pull-secret"}},"status":{}}
  creationTimestamp: "2021-07-09T02:24:41Z"
  finalizers:
  - hive.openshift.io/deprovision
  generation: 4
  labels:
    hive.openshift.io/cluster-platform: aws
    hive.openshift.io/cluster-region: us-east-2
    hive.openshift.io/hiveutil-created: "true"
    hive.openshift.io/version-major: "4"
    hive.openshift.io/version-major-minor: "4.6"
    hive.openshift.io/version-major-minor-patch: 4.6.8
  name: lwanfakecluster
  namespace: default
  resourceVersion: "42763"
  uid: a8c334d9-dabb-4f99-86cd-d600d844fd92
spec:
  baseDomain: qe.devcluster.openshift.com
  clusterMetadata:
    adminKubeconfigSecretRef:
      name: lwanfakecluster-0-vdmd7-admin-kubeconfig
    adminPasswordSecretRef:
      name: lwanfakecluster-0-vdmd7-admin-password
    clusterID: fake-cluster-c541c46f-6195-45a5-946c-d5bc5b2b3ffb
    infraID: fake-infra-id
  clusterName: lwanfakecluster
  controlPlaneConfig:
    servingCertificates: {}
  installed: true
  platform:
    aws:
      credentialsSecretRef:
        name: lwanfakecluster-aws-creds
      privateLink:
        enabled: false
      region: us-east-2
  powerState: Hibernating
  provisioning:
    imageSetRef:
      name: lwanfakecluster-imageset
    installConfigSecretRef:
      name: lwanfakecluster-install-config
  pullSecretRef:
    name: lwanfakecluster-pull-secret
status:
  apiURL: https://example.com/veryfakeapi
  cliImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:5917b18697edb46458d9fd39cefab191c8324561fa83da160f6fdd0b90c55fe0
  conditions:
  - lastProbeTime: "2021-07-09T02:25:20Z"
    lastTransitionTime: "2021-07-09T02:25:20Z"
    message: Hibernation capable
    reason: Running
    status: "False"
    type: Hibernating
  - lastProbeTime: "2021-07-09T02:25:20Z"
    lastTransitionTime: "2021-07-09T02:25:20Z"
    message: ClusterSync has not yet been created
    reason: MissingClusterSync
    status: "True"
    type: SyncSetFailed
  - lastProbeTime: "2021-07-09T02:24:41Z"
    lastTransitionTime: "2021-07-09T02:24:41Z"
    message: Platform credentials passed authentication check
    reason: PlatformAuthSuccess
    status: "False"
    type: AuthenticationFailure
  - lastProbeTime: "2021-07-09T02:25:20Z"
    lastTransitionTime: "2021-07-09T02:25:20Z"
    message: Control plane certificates are present
    reason: ControlPlaneCertificatesFound
    status: "False"
    type: ControlPlaneCertificateNotFound
  - lastProbeTime: "2021-07-09T02:24:59Z"
    lastTransitionTime: "2021-07-09T02:24:59Z"
    message: Images required for cluster deployment installations are resolved
    reason: ImagesResolved
    status: "False"
    type: InstallImagesNotResolved
  - lastProbeTime: "2021-07-09T02:25:19Z"
    lastTransitionTime: "2021-07-09T02:25:19Z"
    message: Successfully launched install pod
    reason: InstallLaunchSuccessful
    status: "False"
    type: InstallLaunchError
  - lastProbeTime: "2021-07-09T02:24:58Z"
    lastTransitionTime: "2021-07-09T02:24:58Z"
    message: InstallerImage is resolved.
    reason: InstallerImageResolved
    status: "False"
    type: InstallerImageResolutionFailed
  - lastProbeTime: "2021-07-09T02:25:20Z"
    lastTransitionTime: "2021-07-09T02:25:20Z"
    message: Provision lwanfakecluster-0-vdmd7 succeeded.
    reason: ProvisionSucceeded
    status: "False"
    type: ProvisionFailed
  - lastProbeTime: "2021-07-09T02:24:59Z"
    lastTransitionTime: "2021-07-09T02:24:59Z"
    message: Provision is not stopped
    reason: ProvisionNotStopped
    status: "False"
    type: ProvisionStopped
  - lastProbeTime: "2021-07-09T02:24:41Z"
    lastTransitionTime: "2021-07-09T02:24:41Z"
    message: no ClusterRelocates match
    reason: NoMatchingRelocates
    status: "False"
    type: RelocationFailed
  - lastProbeTime: "2021-07-09T02:24:59Z"
    lastTransitionTime: "2021-07-09T02:24:59Z"
    message: All pre-provision requirements met
    reason: AllRequirementsMet
    status: "True"
    type: RequirementsMet
  - lastProbeTime: "2021-07-09T02:25:20Z"
    lastTransitionTime: "2021-07-09T02:25:20Z"
    message: cluster is reachable
    reason: ClusterReachable
    status: "False"
    type: Unreachable
  - lastProbeTime: "2021-07-09T02:24:41Z"
    lastTransitionTime: "2021-07-09T02:24:41Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: AWSPrivateLinkFailed
  - lastProbeTime: "2021-07-09T02:24:41Z"
    lastTransitionTime: "2021-07-09T02:24:41Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: AWSPrivateLinkReady
  - lastProbeTime: "2021-07-09T02:24:41Z"
    lastTransitionTime: "2021-07-09T02:24:41Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: ActiveAPIURLOverride
  - lastProbeTime: "2021-07-09T02:24:41Z"
    lastTransitionTime: "2021-07-09T02:24:41Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: ClusterInstallCompleted
  - lastProbeTime: "2021-07-09T02:24:41Z"
    lastTransitionTime: "2021-07-09T02:24:41Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: ClusterInstallFailed
  - lastProbeTime: "2021-07-09T02:24:41Z"
    lastTransitionTime: "2021-07-09T02:24:41Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: ClusterInstallRequirementsMet
  - lastProbeTime: "2021-07-09T02:24:41Z"
    lastTransitionTime: "2021-07-09T02:24:41Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: ClusterInstallStopped
  - lastProbeTime: "2021-07-09T02:24:41Z"
    lastTransitionTime: "2021-07-09T02:24:41Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: DNSNotReady
  - lastProbeTime: "2021-07-09T02:24:41Z"
    lastTransitionTime: "2021-07-09T02:24:41Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: DeprovisionLaunchError
  - lastProbeTime: "2021-07-09T02:24:41Z"
    lastTransitionTime: "2021-07-09T02:24:41Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: IngressCertificateNotFound
  installStartedTimestamp: "2021-07-09T02:24:59Z"
  installVersion: 4.8.0-rc.3
  installedTimestamp: "2021-07-09T02:25:20Z"
  installerImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:eb3e6c54c4e2e07f95a9af44a5a1839df562a843b4ac9e1d5fb5bb4df4b4f7d6
  provisionRef:
    name: lwanfakecluster-0-vdmd7
  webConsoleURL: https://https://example.com/veryfakewebconsole
